Bug 59292 - FILEOPEN: .xlsx: function TDIST not recognized
Summary: FILEOPEN: .xlsx: function TDIST not recognized
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta2
Hardware: All All
: medium major
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:4.1.0 target:4.0.0.2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-01-12 19:39 UTC by Eike Rathke
Modified: 2013-01-14 03:03 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
testcase (4.09 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2013-01-12 19:42 UTC, Eike Rathke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2013-01-12 19:39:45 UTC
Loading a .xlsx with function TDIST the function name isn't recognized and yields #NAME? when recalculated.
Comment 1 Eike Rathke 2013-01-12 19:42:57 UTC
Created attachment 72914 [details]
testcase
Comment 2 Not Assigned 2013-01-12 19:57:25 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=42a9b2399e6bbe4f29347da9933b02dd2d9ad1ca

fdo#59292 OOXML TDIST is ODF LEGACY.TDIST



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2013-01-12 20:00:14 UTC
Change pending review for 4-0 as https://gerrit.libreoffice.org/1664
Comment 4 Not Assigned 2013-01-13 07:27:07 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=553f75a99e45af3f6720c900fbab8207f5e5a392&h=libreoffice-4-0

fdo#59292 OOXML TDIST is ODF LEGACY.TDIST


It will be available in LibreOffice 4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.